### Constructor

# Aravis Camera new

since: 0.8.0

#### Declaration [src]

    ArvCamera*
    arv_camera_new (
      const char* name,
      GError** error
    )

#### Description [src]

Creates a new `ArvCamera`. If `name` is null, it will instantiate the first available camera.

If the camera is a GigEVision, `name` can be either:

- <vendor>-<model>-<serial>
- <vendor_alias>-<serial>
- <vendor>-<serial>
- <user_id>
- <ip_address>
- <mac_address>

For example:

- The Imaging Source Europe GmbH-DFK 33GX265-39020369
- The Imaging Source Europe GmbH-39020369
- TIS-39020369
- 192.168.0.2
- 00:07:48:af:a2:61

If the camera is a USB3Vision device, `name` is either:

- <vendor_alias>-<serial>
- <vendor>-<serial>.

Available since: 0.8.0

#### Parameters

`name`

  Type: `const char*`

  Name of the camera.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `ArvCamera`

A new `ArvCamera`.

The caller of the function takes ownership of the data, and is responsible for freeing it.